<?php 

class MarketData {

    private $dbc = null;

    private $user_id = null;

    function __construct($dbc) {
    
        $this->dbc = $dbc;

    }

    function trending() {

        $sql = "SELECT s.*, s.name as set_name, s.token as set_token, c.*, meta.*, mp.*, mp.normal_avg/mp.normal_trend as growth, i.*, i.quantity as inventory_quantity, i.price as inventory_price, mp.`normal_trend`as market_price
                FROM card c 
                    INNER JOIN `lorcana_meta` meta ON c.`id`=meta.`card_id`
                    INNER JOIN `set` s ON s.id = c.`set_id`
                    INNER JOIN `inventory` i ON i.card_id = c.id
                    INNER JOIN `market_price` mp ON mp.`cardmarket_id`=c.`cardmarket_id`
                WHERE c.set_id IN (5,6) AND  mp.normal_avg/mp.normal_trend > 0.7 AND c.rarity <> 'Enchanted'
                ORDER BY RAND()
                LIMIT 10;";
        
        $results = $this->dbc->select($sql);

        $trending_list = [];

        foreach($results as $card_data) {

            $trending_list[$card_data['id']] = $card_data;

        }

        return $trending_list;
    }

}