<?php

class Order {

    private $dbc = null;

    private $user_id = null;

    function __construct($dbc) {
    
        $this->dbc = $dbc;

    }

    function items_in_order ($order_data) {

        //debug($order_data);

        $list_of_ids = [];
        $lookup_data = [];
        foreach($order_data->items_purchased as $card) {
            $list_of_ids[] = $card->id;
            $lookup_data[$card->id] = $card;
        }

        // debug($_SESSION, false);

        // debug($lookup_data, false);

        $list_of_ids = implode(',', $list_of_ids);

        //debug($list_of_ids, false);

        $sql = "SELECT s.*, c.*, meta.*
                FROM card c 
                    INNER JOIN lorcana_meta meta ON c.id=meta.card_id
                    INNER JOIN `set` s ON s.id = c.`set_id`
                WHERE c.id IN (".$list_of_ids.")
                ORDER BY c.name ASC";

        $results = $this->dbc->select($sql);

        $cards_in_order = [];

        foreach($results as $card_data) {

            //debug($card_data, false);

            if ($card_data['card_type'] != 'Character') {
                $card_data['card_type'] = str_replace(',', ' &#9702; ', $card_data['card_type']);   
            }

            $card_data['type'] = $lookup_data[$card_data['id']]->printing;

            $cards_in_order[] = $card_data;
        }

        return $cards_in_order;
    }


}