<?php

// Users cart

$shopping_cart = new ShoppingCart($dbc);

if ($_POST) {

    //debug($_POST, false);

    if ($_POST['action'] == 'add') {
        $shopping_cart->add_card();
    }

    if ($_POST['action'] == 'update') {
        $shopping_cart->update_card();
    }

    if ($_POST['action'] == 'remove') {
        $shopping_cart->remove_card();

    }  

    header('Location: /cart');
    exit;

}



$cart_data = $shopping_cart->get_cart_contents();

$totals_data = $shopping_cart->calculate_totals($cart_data);

$page->content([
    'shopping_cart' => $cart_data,
    'total_data' => $totals_data,
    'postage_options' => ShoppingCart::postage_options(),
]);

$page->css('shopping-cart.css');