<?php

include_once '../app/core/bootstrap.php';
include_once CLASS_DIR . 'class.LorcanaBrowse.php';
include_once CLASS_DIR . 'class.Card.php';
include_once CLASS_DIR . 'class.Musings.php';

$browse = new LorcanaBrowse($dbc);

$browse->fetch_results();

$musing_list = new Musings();

header('Content-type: application/xml; charset=utf-8');

?><urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://www.sitemaps.org/schemas/sitemap/0.9
	http://www.sitemaps.org/schemas/sitemap/0.9/sitemap.xsd">
	<url>
		<loc>https://www.tcgfriends.co.uk/</loc>
		<lastmod>2025-01-10T00:00:00+00:00</lastmod>
		<priority>1.00</priority>
	</url>
	<url>
		<loc>https://www.tcgfriends.co.uk/browse</loc>
		<lastmod>2025-01-10T00:00:00+00:00</lastmod>
		<priority>0.90</priority>
	</url>
<?php foreach($browse->get_card_list() as $card_data) { ?>
	<url>
		<loc>https://www.tcgfriends.co.uk/card/<?php echo $card_data['token']; ?></loc>
		<lastmod><?php echo date('c', time()); ?></lastmod>
		<priority>0.90</priority>
	</url>
<?php } ?>
	<url>
		<loc>https://www.tcgfriends.co.uk/musings</loc>
		<lastmod>2025-01-10T00:00:00+00:00</lastmod>
		<priority>0.80</priority>
	</url>
<?php foreach($musing_list->list_all() as $musing_data) { ?>
	<url>
		<loc>https://www.tcgfriends.co.uk/musings/<?php echo $musing_data['path']; ?></loc>
		<lastmod><?php echo date('c', strtotime($musing_data['published'])); ?></lastmod>
		<priority>0.60</priority>
	</url>
<?php } ?>
	<url>
		<loc>https://www.tcgfriends.co.uk/about</loc>
		<lastmod>2025-01-10T00:00:00+00:00</lastmod>
		<priority>0.50</priority>
	</url>
</urlset>
<?php

exit;
