<?php

// CARD

include_once CLASS_DIR .'class.Card.php';

//debug(get_defined_vars());

if (!isset($page_key)) {
    header("HTTP/1.0 404 Not Found");
    header('Location: /');
    exit;
}

$card = new Card($dbc, $page_key);

$card_data = $card->load_card($page_key);
// debug($card_data);

$card_market_data = $card->get_market_data();
// debug($card_market_data);

//$card_trend_direction = $card->get_trend_direction($card_market_data, 'normal');

$inventory_data = $card->get_inventory();
// debug($inventory_data);


$page->content([
    'card' => $card_data,
    'inventory' => $inventory_data,
    'market_data' => $card_market_data,
]);

$page->css('card.css');