<?php

// HOME PAGE

include_once CLASS_DIR . 'class.Inventory.php';
include_once CLASS_DIR . 'class.MarketData.php';

$inventory = new Inventory($dbc);
$market_data = new MarketData($dbc);

$page->content([
    'statistics' => $inventory->get_statistics(),
    'trending_data' => $market_data->trending(),
]);

$page->css('home.css');
$page->js('carousel.js');