$(function(){

    $('.search .input-keywords').on( "keyup", function() {
        var text = $(this).val();
        if(text.length >= 2) {
            $('.search .results').show();
            $.ajax({
                type: "POST",
                url: "/browse/handle", 
                data: { "keywords" : text }, 
                success: function( data ) {
                    console.log( data );
                    var results = $('.search .results ul').empty();
                    for(var i=0; i<data.length; i++) {
                        var card = data[i];
                        results.append('<li><a href="/card/'+card.card_token+'">'+card.card_name+'</a><span>'+card.card_set+'</span></li>');
                    }
                },
                dataType: "json"
            });
        }
        else {
            $('.search .results').hide();
        }
    });

    
    $('.search').on( "submit", function( event ) {
        event.preventDefault();
    });

});